> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh floor plan walls

> Re-detect and store the walls of a floor plan image



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/location/refreshFloorPlanWalls
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/location/refreshFloorPlanWalls:
    post:
      tags:
        - Location Webservice
      summary: Refresh floor plan walls
      description: Re-detect and store the walls of a floor plan image
      operationId: refreshFloorPlanWalls
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Location_RefreshFloorPlanWallsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Location_RefreshFloorPlanWallsWSResponse'
          description: OK
components:
  schemas:
    Location_RefreshFloorPlanWallsWSRequest:
      type: object
      description: >-
        Request object for re-detecting and storing the walls of a floor plan
        image.
      properties:
        floorPlanUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
      required:
        - floorPlanUuid
    Location_RefreshFloorPlanWallsWSResponse:
      type: object
      description: >-
        Response object containing the newly detected walls of a floor plan
        image.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        floorPlanUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        walls:
          $ref: '#/components/schemas/Location_FloorPlanWallsWSType'
        warningMsg:
          type: string
          nullable: true
    Location_FloorPlanWallsWSType:
      type: object
      description: >-
        Walls detected in a floor plan image, as axis-aligned rectangles in
        image pixels.
      properties:
        imageHeight:
          type: integer
          format: int32
          description: Height in pixels of the image the walls were detected in
          nullable: true
        imageWidth:
          type: integer
          format: int32
          description: Width in pixels of the image the walls were detected in
          nullable: true
        model:
          type: string
          description: Model that detected the walls
          nullable: true
        wallRects:
          type: array
          description: Wall rectangles as [x0, y0, x1, y1] image pixels, end-exclusive
          items:
            type: array
            description: Wall rectangles as [x0, y0, x1, y1] image pixels, end-exclusive
            items:
              type: integer
              format: int32
              description: Wall rectangles as [x0, y0, x1, y1] image pixels, end-exclusive
              nullable: true
            nullable: true
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````